### Hierarchy

- ReferenceObjects

## Index

### Properties

- color
- high
- lineStyle
- lineWidth
- location
- low
- svgClassName
- svgStyle
- type
- value

## Properties

### color

color: string

The color of the reference object.

### high

high: number

The high value of a reference area.

### lineStyle

lineStyle: string

The line style of a reference line.

### lineWidth

lineWidth: number

The width of a reference line.

### location

location: string

The location of the reference object relative to the data items.

### low

low: number

The low value of a reference area.

### svgClassName

svgClassName: string

The CSS style class to apply to the reference object. The style class and inline style will override any other styling specified through the properties.

### svgStyle

svgStyle: object

The inline style to apply to the reference object. The style class and inline style will override any other styling specified through the properties. Only SVG CSS style properties are supported.

### type

type: string

The type of reference object being shown.

### value

value: number

The value of a reference line.

Generated using TypeDoc